Package org.opensaml.messaging.error

# Interface TypedMessageErrorHandler

All Superinterfaces:
  `MessageErrorHandler`

All Known Implementing Classes:
  `SOAP11FaultContextDecoratingErrorHandler`

public interface TypedMessageErrorHandler extends MessageErrorHandler
A specialization of error handler that explicitly indicates that it is capable of handling one or more types of throwable errors.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handlesError(Throwable t)`
Indicates whether the message error handle is capable of handling the specified error.

### Methods inherited from interface org.opensaml.messaging.error.MessageErrorHandler

`handleError`

## Method Details

### handlesError

boolean handlesError(@Nonnull Throwable t)
Indicates whether the message error handle is capable of handling the specified error.

Parameters:
  `t` - the type of error about which to query
Returns:
  true iff the handle can handle the specified error type